Bug 1015023 - [Doc Bug Fix] Chapter 'About Decorators' needs more details
[Doc Bug Fix] Chapter 'About Decorators' needs more details
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER3
: EAP 6.4.0
Assigned To: Nidhi
hsvabek
DG
: Documentation, EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 06:26 EDT by Jan Martiska
Modified: 2015-04-17 02:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14875, Development Guide-6.2-1 Build Date: 02-10-2013 13:20:00 Topic ID: 4443-203379 [Latest]
Last Closed: 2015-04-17 02:07:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Martiska 2013-10-03 06:26:37 EDT
Title: About Decorators

Describe the issue:
I think it should be mentioned that a Decorator must have exactly one @Delegate injection point to obtain a reference to the decorated object. 

Also, it should be mentioned, that, just like Interceptors, Decorators require to be explicitly enabled in beans.xml.

Inspiration for both these additions can be obtained here: 
http://docs.oracle.com/javaee/6/tutorial/doc/gkhqf.html
Comment 3 hsvabek 2015-03-02 08:28:58 EST
Verified versions:
Development Guide 6.4.0-9

Note You need to log in before you can comment on or make changes to this bug.